<!doctype html>
<html class="no-js" lang="">
    <head>
        <meta charset="utf-8">
        <meta http-equiv="x-ua-compatible" content="ie=edge">
        <title>frontend documentation</title>
        <meta name="description" content="">
        <meta name="viewport" content="width=device-width, initial-scale=1">

        <link rel="icon" type="image/x-icon" href="../images/favicon.ico">
	      <link rel="stylesheet" href="../styles/style.css">
    </head>
    <body>

        <div class="navbar navbar-default navbar-fixed-top visible-xs">
            <a href="../" class="navbar-brand">frontend documentation</a>
            <button type="button" class="btn btn-default btn-menu ion-ios-menu" id="btn-menu"></button>
        </div>

        <div class="xs-menu menu" id="mobile-menu">
                <div id="book-search-input" role="search"><input type="text" placeholder="Type to search"></div>            <compodoc-menu></compodoc-menu>
        </div>

        <div class="container-fluid main">
           <div class="row main">
               <div class="hidden-xs menu">
                   <compodoc-menu mode="normal"></compodoc-menu>
               </div>
               <!-- START CONTENT -->
               <div class="content class">
                   <div class="content-data">











<ol class="breadcrumb">
  <li>Classes</li>
  <li>VotingMaterialNotificationSection</li>
</ol>

<ul class="nav nav-tabs" role="tablist">
        <li class="active">
            <a href="#info" role="tab" id="info-tab" data-toggle="tab" data-link="info">Info</a>
        </li>
        <li >
            <a href="#source" role="tab" id="source-tab" data-toggle="tab" data-link="source">Source</a>
        </li>
</ul>

<div class="tab-content">
    <div class="tab-pane fade active in" id="c-info">
        <p class="comment">
            <h3>File</h3>
        </p>
        <p class="comment">
            <code>e2e/page-object/operation/operation-management.po.ts</code>
        </p>





            <section>
    <h3 id="index">Index</h3>
    <table class="table table-sm table-bordered index-table">
        <tbody>






                    <tr>
                        <td class="col-md-4">
                            <h6><b>Accessors</b></h6>
                        </td>
                    </tr>
                    <tr>
                        <td class="col-md-4">
                            <ul class="index-list">
                                <li>
                                    <a href="#validateVotingMaterialButton">validateVotingMaterialButton</a>
                                </li>
                                <li>
                                    <a href="#deploymentButton">deploymentButton</a>
                                </li>
                                <li>
                                    <a href="#createLink">createLink</a>
                                </li>
                                <li>
                                    <a href="#validateCreationLink">validateCreationLink</a>
                                </li>
                            </ul>
                        </td>
                    </tr>
        </tbody>
    </table>
</section>









            <section>
    <h3 id="accessors">
        Accessors
    </h3>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="validateVotingMaterialButton"></a>
                        <span class="name"><b>validateVotingMaterialButton</b><a href="#validateVotingMaterialButton"><span class="icon ion-ios-link"></span></a></span>
                    </td>
                </tr>

                <tr>
                    <td class="col-md-4">
                        <span class="accessor"><b>get</b><code>validateVotingMaterialButton()</code></span>
                    </td>
                </tr>
                            <tr>
                                <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="202" class="link-to-prism">e2e/page-object/operation/operation-management.po.ts:202</a></div>
                                </td>
                            </tr>

            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="deploymentButton"></a>
                        <span class="name"><b>deploymentButton</b><a href="#deploymentButton"><span class="icon ion-ios-link"></span></a></span>
                    </td>
                </tr>

                <tr>
                    <td class="col-md-4">
                        <span class="accessor"><b>get</b><code>deploymentButton()</code></span>
                    </td>
                </tr>
                            <tr>
                                <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="206" class="link-to-prism">e2e/page-object/operation/operation-management.po.ts:206</a></div>
                                </td>
                            </tr>

            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="createLink"></a>
                        <span class="name"><b>createLink</b><a href="#createLink"><span class="icon ion-ios-link"></span></a></span>
                    </td>
                </tr>

                <tr>
                    <td class="col-md-4">
                        <span class="accessor"><b>get</b><code>createLink()</code></span>
                    </td>
                </tr>
                            <tr>
                                <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="210" class="link-to-prism">e2e/page-object/operation/operation-management.po.ts:210</a></div>
                                </td>
                            </tr>

            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="validateCreationLink"></a>
                        <span class="name"><b>validateCreationLink</b><a href="#validateCreationLink"><span class="icon ion-ios-link"></span></a></span>
                    </td>
                </tr>

                <tr>
                    <td class="col-md-4">
                        <span class="accessor"><b>get</b><code>validateCreationLink()</code></span>
                    </td>
                </tr>
                            <tr>
                                <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="214" class="link-to-prism">e2e/page-object/operation/operation-management.po.ts:214</a></div>
                                </td>
                            </tr>

            </tbody>
        </table>
</section>
    </div>


    <div class="tab-pane fade  tab-source-code" id="c-source">
        <pre class="line-numbers compodoc-sourcecode"><code class="language-typescript">import { browser, by, element, ElementFinder } from &#x27;protractor&#x27;;
import { promise } from &#x27;selenium-webdriver&#x27;;
import { SummaryCard } from &#x27;../../shared/completable-card&#x27;;
import { Cache } from &#x27;../cache.po&#x27;;
import { Card } from &#x27;../../shared/card&#x27;;
import { falseIfMissing } from &#x27;protractor/built/util&#x27;;
import { Button } from &#x27;../../shared/button&#x27;;
import { InputField } from &#x27;../../shared/input-field&#x27;;
import { Main } from &#x27;../main.po&#x27;;

/**
 * Page object for the operation management page.
 */
export class OperationManagementPage {

  /**
   * @returns {promise.Promise&lt;string&gt;} the operation management page title
   */
  static get title(): promise.Promise&lt;string&gt; {
    return element(by.id(&#x27;operationManagementHeaderTitle&#x27;)).getText();
  }

  /**
   * Check if the given navigation tab is displayed
   *
   * @param {number} index index of the targetted tab
   * @returns {promise.Promise&lt;boolean&gt;} whether the tab is displayed or not
   */
  static isNavigationTabDisplayed(index: number): promise.Promise&lt;boolean&gt; {
    return Cache.navigationTab(index).isPresent();
  }


  /**
   * Get the navigation tab
   *
   * @param {number} index index of the targetted tab
   */
  static getNavigationTab(index: number) {
    return Cache.navigationTab(index);
  }

  /**
   * Get the navigation tab icon
   *
   * @param {number} index index of the targetted tab
   * @returns {promise.Promise&lt;string&gt;} the text representation of the tab&#x27;s icon
   */
  static getNavigationTabIcon(index: number): promise.Promise&lt;string&gt; {
    return Cache.navigationTab(index).element(by.tagName(&#x27;mat-icon&#x27;)).getText();
  }

  /**
   * Get the navigation tab label
   *
   * @param {number} index index of the targetted tab
   * @returns {promise.Promise&lt;string&gt;} the tab&#x27;s label
   */
  static getNavigationTabName(index: number): promise.Promise&lt;string&gt; {
    return Cache.navigationTab(index).element(by.className(&#x27;step-name&#x27;)).getText();
  }

  /**
   * @returns {SummaryCard} the base parameters card object
   */
  static get baseCard(): SummaryCard {
    return Cache.summaryCard(&#x27;base-card&#x27;);
  }

  /**
   * @returns {SummaryCard} the milestones card object
   */
  static get milestoneCard(): SummaryCard {
    return Cache.summaryCard(&#x27;milestone-card&#x27;);
  }

  /**
   * @returns {SummaryCard} the voting site configuration card object
   */
  static get votingSiteConfigurationCard(): SummaryCard {
    return Cache.summaryCard(&#x27;voting-site-configuration-card&#x27;);
  }

  /**
   * @returns {SummaryCard} the domain of influence card object
   */
  static get domainInfluenceCard(): SummaryCard {
    return Cache.summaryCard(&#x27;domain-influence-card&#x27;);
  }

  /**
   * @returns {SummaryCard} the repository card object
   */
  static get repositoryCard(): SummaryCard {
    return Cache.summaryCard(&#x27;repository-card&#x27;);
  }

  /**
   * @returns {SummaryCard} the documentation card object
   */
  static get documentationCard(): SummaryCard {
    return Cache.summaryCard(&#x27;document-card&#x27;);
  }

  /**
   * @returns {SummaryCard} the test cards lot card object
   */
  static get testingCardsLotCard(): SummaryCard {
    return Cache.summaryCard(&#x27;testing-cards-lot-card&#x27;);
  }

  /**
   * @returns {SummaryCard} the management entity card object
   */
  static get managementEntityCard(): SummaryCard {
    return Cache.summaryCard(&#x27;management-entity-card&#x27;);
  }

  /**
   * @returns {SummaryCard} the ballot documentation card object
   */
  static get ballotDocumentationCard(): SummaryCard {
    return Cache.summaryCard(&#x27;ballot-documentation-card&#x27;);
  }

  /**
   * @returns {SummaryCard} the election page properties card object
   */
  static get electionPagePropertiesCard(): SummaryCard {
    return Cache.summaryCard(&#x27;election-page-properties-card&#x27;);
  }

  /**
   * @returns {SummaryCard} the register card object
   */
  static get registerCard(): SummaryCard {
    return Cache.summaryCard(&#x27;register-card&#x27;);
  }

  /**
   * @returns {SummaryCard} the card title card object
   */
  static get cardTitleCard(): SummaryCard {
    return Cache.summaryCard(&#x27;card-title-card&#x27;);
  }

  /**
   * @returns {SummaryCard} the printer card object
   */
  static get printerTemplateCard(): SummaryCard {
    return Cache.summaryCard(&#x27;printer-card&#x27;);
  }

  /**
   * @returns {SummaryCard} the selected electoral authority key card object
   */
  static get selectedElectoralAuthorityKeyCard(): SummaryCard {
    return Cache.summaryCard(&#x27;selected-electoral-authority-key-card&#x27;);
  }

  /**
   * @returns {SummaryCard} the  oting site period card object
   */
  static get votingSitePeriodCard(): SummaryCard {
    return Cache.summaryCard(&#x27;voting-site-period-card&#x27;);
  }
}

export class ParametersNotificationSection {

  static get isProductionSectionDisplayed(){
    return element(by.tagName(&quot;production-summary&quot;)).isPresent()
  }

  static get isTestSectionDisplayed(){
    return element(by.tagName(&quot;test-summary&quot;)).isPresent()
  }

  static get uploadConfigurationButton() {
    return Cache.button(&#x27;uploadConfigurationButton&#x27;);
  }

  static get invalidateParametersButton() {
    return Cache.button(&#x27;invalidateParametersButton&#x27;);
  }

  static get validateParametersButton() {
    return Cache.button(&#x27;validateParametersButton&#x27;);
  }

  static get deploymentRequestLink(): ElementFinder {
    return Cache.element(&#x27;deploymentRequestLink&#x27;);
  }

  static get deploymentValidationLink(): ElementFinder {
    return Cache.element(&#x27;deploymentValidationLink&#x27;);
  }
}

export class VotingMaterialNotificationSection {

  static get validateVotingMaterialButton() {
    return Cache.button(&#x27;validateVotingMaterialButton&#x27;);
  }

  static get deploymentButton() {
    return Cache.button(&#x27;deploymentButton&#x27;);
  }

  static get createLink(): ElementFinder {
    return Cache.element(&#x27;createLink&#x27;);
  }

  static get validateCreationLink(): ElementFinder {
    return Cache.element(&#x27;validateCreationLink&#x27;);
  }
}

export class VotingPeriodNotificationSection {

  static get deploymentButton() {
    return Cache.button(&#x27;deploymentButton&#x27;);
  }

  static get createRequestLink(): ElementFinder {
    return Cache.element(&#x27;createRequestLink&#x27;);
  }

  static get validateRequestLink(): ElementFinder {
    return Cache.element(&#x27;validateRequestLink&#x27;);
  }
}

export class DeploymentSummarySection {

  static get productionCard(): Card {
    return Cache.card(&#x27;productionDeploymentSummaryCard&#x27;);
  }

  static get testCard(): Card {
    return Cache.card(&#x27;testDeploymentSummaryCard&#x27;);
  }

  static get testStatusMessage(): promise.Promise&lt;string&gt; {
    return Cache.element(&#x27;testStatusMessage&#x27;).getText();
  }

  static get modifyButton(): Button{
    return Cache.button(&#x27;modifyButton&#x27;);
  }


  static waitForTestStatusMessageToMatch(regex: RegExp): void {
    Main.tryForceStatusRefresh();
    browser.wait(() &#x3D;&gt; this.testStatusMessage.then(text &#x3D;&gt; text.match(regex), falseIfMissing));
  }

  static get productionStatusMessage(): ElementFinder {
    return Cache.element(&#x27;productionStatusMessage&#x27;);
  }

  static get deploymentStatusMessage(): ElementFinder {
    return Cache.element(&#x27;deploymentStatusMessage&#x27;);
  }

  static waitForDeploymentStatusMessageToMatch(regex: RegExp): void {
    Main.tryForceStatusRefresh();
    browser.wait(() &#x3D;&gt; this.deploymentStatusMessage.getText().then(text &#x3D;&gt; text.match(regex), falseIfMissing))
  }


  static waitForProductionStatusMessageToMatch(regex: RegExp): void {
    Main.tryForceStatusRefresh();
    browser.wait(() &#x3D;&gt; this.productionStatusMessage.getText().then(text &#x3D;&gt; text.match(regex), falseIfMissing))
  }

  static get targetRealDeploymentButton(): Button {
    return Cache.button(&#x27;targetRealDeploymentButton&#x27;);
  }

  static get targetSimulationDeploymentButton(): Button {
    return Cache.button(&#x27;targetSimulationDeploymentButton&#x27;);
  }

  static get simulationNameDialog(): ElementFinder {
    return Cache.element(&#x27;simulationNameDialog&#x27;, by.tagName(&#x27;td-prompt-dialog&#x27;));
  }

  static get simulationNameInput(): InputField {
    return Cache.inputField(this.simulationNameDialog, &#x27;simulationNameDialog&#x27;, &#x27;value&#x27;, false, true);
  }

  static get simulationNameValidationButton(): Button {
    return Cache.button(&#x27;simulationNameValidationButton&#x27;,
      this.simulationNameDialog.element(by.css(&#x27;button[color&#x3D;&quot;accent&quot;]&#x27;)));
  }

  static get testingVotingCardButton(): Button {
    return Cache.button(&#x27;non-printable-test-cards&#x27;);
  }

}

</code></pre>
    </div>
</div>







                   </div><div class="search-results">
    <div class="has-results">
        <h1 class="search-results-title"><span class='search-results-count'></span> result-matching "<span class='search-query'></span>"</h1>
        <ul class="search-results-list"></ul>
    </div>
    <div class="no-results">
        <h1 class="search-results-title">No results matching "<span class='search-query'></span>"</h1>
    </div>
</div>
</div>
               <!-- END CONTENT -->
           </div>
       </div>

       <script>
            var COMPODOC_CURRENT_PAGE_DEPTH = 1;
            var COMPODOC_CURRENT_PAGE_CONTEXT = 'class';
            var COMPODOC_CURRENT_PAGE_URL = 'VotingMaterialNotificationSection.html';
       </script>

       <script src="../js/libs/custom-elements.min.js"></script>
       <script src="../js/libs/lit-html.js"></script>
       <!-- Required to polyfill modern browsers as code is ES5 for IE... -->
       <script src="../js/libs/custom-elements-es5-adapter.js" charset="utf-8" defer></script>
       <script src="../js/menu-wc.js" defer></script>

       <script src="../js/libs/bootstrap-native.js"></script>

       <script src="../js/libs/es6-shim.min.js"></script>
       <script src="../js/libs/EventDispatcher.js"></script>
       <script src="../js/libs/promise.min.js"></script>
       <script src="../js/libs/zepto.min.js"></script>

       <script src="../js/compodoc.js"></script>

       <script src="../js/tabs.js"></script>
       <script src="../js/menu.js"></script>
       <script src="../js/libs/clipboard.min.js"></script>
       <script src="../js/libs/prism.js"></script>
       <script src="../js/sourceCode.js"></script>
          <script src="../js/search/search.js"></script>
          <script src="../js/search/lunr.min.js"></script>
          <script src="../js/search/search-lunr.js"></script>
          <script src="../js/search/search_index.js"></script>
       <script src="../js/lazy-load-graphs.js"></script>


    </body>
</html>
